//---------------------------------------------------------------------------
#ifndef App_MainFormH
#define App_MainFormH
//---------------------------------------------------------------------------
#include <ActnList.hpp>
#include <Buttons.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <FileCtrl.hpp>
#include <Menus.hpp>
#include <StdCtrls.hpp>
#include "App_Common.h"
#include "App_Document.h"
#include "App_Help.h"
#include "Moa_Forms.h"
//---------------------------------------------------------------------------
class TAppMainForm : public TForm
{
__published:
	TAction* Action11;
	TAction* Action121;
	TAction* Action122;
	TAction* Action21;
	TAction* Action22;
	TAction* Action23;
	TAction* Action24;
	TActionList* ActionList1;
	TBitBtn* BitBtn11;
	TBitBtn* BitBtn12;
	TBitBtn* BitBtn13;
	TBitBtn* BitBtn14;
	TCheckBox* CheckBox1;
	TCheckBox* CheckBox2;
	TGroupBox* GroupBox1;
	TImage* Image1;
	TLabel* Label1;
	TLabel* Label11;
	TLabel* Label12;
	TLabel* Label13;
	TLabel* Label14;
	TMenuItem* MenuItem11;
	TMenuItem* MenuItem12;
	TMenuItem* MenuItem13;
	TMenuItem* MenuItem131;
	TMenuItem* MenuItem132;
	TMenuItem* MenuItem133;
	TPopupMenu* PopupMenu1;
	TSpeedButton* SpeedButton1;
	TSpeedButton* SpeedButton2;
	void __fastcall Action11Execute(TObject* ASender);
	void __fastcall Action11Update(TObject* ASender);
	void __fastcall Action121Execute(TObject* ASender);
	void __fastcall Action121Update(TObject* ASender);
	void __fastcall Action122Execute(TObject* ASender);
	void __fastcall Action122Update(TObject* ASender);
	void __fastcall Action21Execute(TObject* ASender);
	void __fastcall Action21Update(TObject* ASender);
	void __fastcall Action22Execute(TObject* ASender);
	void __fastcall Action22Update(TObject* ASender);
	void __fastcall Action23Execute(TObject* ASender);
	void __fastcall Action23Update(TObject* ASender);
	void __fastcall Action24Execute(TObject* ASender);
	void __fastcall Action24Update(TObject* ASender);
	void __fastcall ActionList1Execute(TBasicAction* AAction, bool& AHandled);
	void __fastcall ActionList1Update(TBasicAction* AAction, bool& AHandled);
	void __fastcall CheckBox1Click(TObject* ASender);
	void __fastcall CheckBox2Click(TObject* ASender);
private:
	TDocument* FDocument;
	TDocumentCommands* FDocumentCommands;
	THelpCommands* FHelpCommands;
	TUpdateNotifier* FUpdateNotifier;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall HandleCommandLineParameters();
	void __fastcall UpdateAccess();
	void __fastcall DocumentFileChange(TObject* ASender);
	void __fastcall DocumentDereferenceChange(TObject* ASender);
	void __fastcall DocumentAutoCloseChange(TObject* ASender);
	void __fastcall UpdateNotifierUpdate(TObject* ASender);
	__property TDocument* Document = {read=FDocument};
	__property TDocumentCommands* DocumentCommands = {read=FDocumentCommands};
	__property THelpCommands* HelpCommands = {read=FHelpCommands};
	__property TUpdateNotifier* UpdateNotifier = {read=FUpdateNotifier};
protected:
public:
	__fastcall TAppMainForm(TComponent* AOwner);
	virtual __fastcall ~TAppMainForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TAppMainForm* AppMainForm;
//---------------------------------------------------------------------------
#endif

