//---------------------------------------------------------------------------
#ifndef App_CommonH
#define App_CommonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
namespace Inifiles {class TMemIniFile;} using namespace Inifiles;
//---------------------------------------------------------------------------
namespace App_common {
//---------------------------------------------------------------------------
class EAppError : public Exception
{
public:
	__fastcall EAppError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class TCommon
{
private:
protected:
public:
	static const AnsiString Title;
	static const AnsiString About;
	static const AnsiString HelpFile;
};
//---------------------------------------------------------------------------
class TModel : public TObject
{
private:
protected:
public:
	__fastcall TModel();
	virtual __fastcall ~TModel();
};
//---------------------------------------------------------------------------
class TCommands : public TObject
{
private:
protected:
	virtual void __fastcall HandleFeatureUnavailable();
public:
	__fastcall TCommands();
	virtual __fastcall ~TCommands();
};
//---------------------------------------------------------------------------
} // End namespace App_common
using namespace App_common;
//---------------------------------------------------------------------------
#endif

